Ipmidetect(8)

NAME
ipmidetect - list detected and/or undetected IPMI interfaces in a cluster

SYNOPSIS
ipmidetect [OPTION...] [NODES...]

DESCRIPTION
ipmidetect lists which IPMI nodes have been detected or undetected in a cluster. This information is provided by the libipmidetect(3) library and ipmidetectd(8) daemon.

ipmidetect will output the status of each IPMI node configured with ipmidetectd(8) unless they are specified on the command line. If the first node listed is "-", nodes will be read in from standard input. The nodes can be listed in hostrange format, comma separated lists, or space separated lists. See the section below on HOSTRANGED SUPPORT for instructions on how to list hosts in range format. The hostnames listed must be the shortened names of hostnames.

OPTIONS

-h STRING, --hostname=STRING
    server hostname (default=localhost)

-p INT, --port=INT
    server port (default=8649)

-d, --detected
    List only detected nodes

-u, --undetected
    List only undetected nodes

-q, --hostrange
    List nodes in hostrange format (default)

-c, --comma
    List nodes in comma separated list

-n, --newline
    List nodes in newline separated list

-s, --space
    List nodes in space separated list

-V, --version
    Print version and exit

HOSTRANGED SUPPORT
Multiple hosts can be input either as an explicit comma separated lists of hosts or a range of hostnames in the general form: prefix[n-m,l-k,...], where n < m and l < k, etc. The later form should not be confused with regular expression character classes (also denoted by []). For example, foo[19] does not represent foo1 or foo9, but rather represents a degenerate range: foo19.

This range syntax is meant only as a convenience on clusters with a prefixNN naming convention and specification of ranges should not be considered necessary -- the list foo1,foo9 could be specified as such, or by the range foo[1,9].

Some examples of range usage follow:
    foo[01-05] instead of foo01,foo02,foo03,foo04,foo05
    foo[7,9-10] instead of foo7,foo9,foo10
    foo[0-3] instead of foo0,foo1,foo2,foo3

As a reminder to the reader, some shells will interpret brackets ([ and ]) for pattern matching. Depending on your shell, it may be necessary to enclose ranged lists within quotes.

DIAGNOSTICS
The exit value of ipmidetect depends on the options performed on the command line. If the default output is used, the exit value will be 0 if the command succeeds without error. If the --detected option is used and no undetected nodes have been discovered, the exit value will be 0. If undetected nodes are found, the exit value will be 1. If the --undetected option is used and no detected nodes have been discovered, the exit value will be 0. If detected nodes are found, the exit value will be 1. On errors, the exit value will be 2.

REPORTING BUGS
Report bugs to <freeipmi-users@gnu.org> or <freeipmi-devel@gnu.org>.

COPYRIGHT
Copyright (C) 2007-2015 Lawrence Livermore National Security, LLC.
Copyright (C) 2007 The Regents of the University of California.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

SEE ALSO
libipmidetect(3), ipmidetect.conf(5), ipmidetectd(8)

http://www.gnu.org/software/freeipmi/